<?php

namespace App\Http\Controllers;

use App\Http\Requests;
use Illuminate\Http\Request;
use App\Widget;
use App\Exceptions\WidgetCreateException;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
     var $widgets;
    public function __construct()
    {
        $this->middleware('auth');
        $this->widgets = Widget::all(array('widget_name','id'));
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('home');
    }

    public function widgets_list()
    {
      return view('widget',array('widgets' => $this->widgets));
    }
    public function widget_detail($id)
    {
      $widget = Widget::find($id);
      return view('widget_detail', array('widget_name' => $widget->widget_name));
    }
    public function create()
    {
        throw new WidgetCreateException;
    }
}
